import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/api-external';

import { _MODULE_CONFIG } from './config/token';

import { ExternalApiService } from './services/external-api.service';

const SERVICES = [ExternalApiService];

@NgModule({})
export class ExternalApiRootModule {}

@NgModule({})
export class ExternalApiModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<ExternalApiRootModule> {
    return {
      ngModule: ExternalApiRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
