import { Injectable, Inject } from '@angular/core';

import {
  ModuleConfig,
  AuthenticationProtocolService as UcapAuthenticationProtocolService
} from '@ucap/protocol-authentication';

import { LogService } from '@ucap/ng-logger';
import { ProtocolService } from '@ucap/ng-protocol';
import { _MODULE_CONFIG } from '../config/token';

@Injectable({
  providedIn: 'root'
})
export class AuthenticationProtocolService extends UcapAuthenticationProtocolService {
  constructor(
    @Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig,
    protocolService: ProtocolService,
    logService: LogService
  ) {
    super(moduleConfig, protocolService, logService);
  }
}
