import { createAction, props } from '@ngrx/store';

import { AuthRequest, AuthResponse } from '@ucap/protocol-query';
import { RegViewRequest, RegViewResponse } from '@ucap/protocol-option';

/**
 * retrieve authorization information
 */
export const auth = createAction(
  '[ucap::authentication::authorization] auth',
  props<{ req: AuthRequest }>()
);
/**
 * Success of auth request
 */
export const authSuccess = createAction(
  '[ucap::authentication::authorization] auth Success',
  props<{ res: AuthResponse }>()
);
/**
 * Failure of auth request
 */
export const authFailure = createAction(
  '[ucap::authentication::authorization] auth Failure',
  props<{ error: any }>()
);

/**
 * retrieve authorization information
 */
export const regView = createAction(
  '[ucap::authentication::authorization] regView',
  props<{ req: RegViewRequest }>()
);
/**
 * Success of regView request
 */
export const regViewSuccess = createAction(
  '[ucap::authentication::authorization] regView Success',
  props<{ res: RegViewResponse }>()
);
/**
 * Failure of regView request
 */
export const regViewFailure = createAction(
  '[ucap::authentication::authorization] regView Failure',
  props<{ error: any }>()
);
