import { createReducer, on } from '@ngrx/store';

import { initialState } from './state';
import { authSuccess, regViewSuccess } from './actions';

export const reducer = createReducer(
  initialState,
  on(authSuccess, (state, action) => {
    return {
      ...state,
      authResponse: {
        ...state.authResponse,
        ...action.res
      }
    };
  }),
  on(regViewSuccess, (state, action) => {
    return {
      ...state,
      regViewResponse: {
        ...state.regViewResponse,
        ...action.res
      }
    };
  })
);
