import { createFeatureSelector, createSelector } from '@ngrx/store';

import * as CommonState from './common/state';
import * as ConfigurationState from './configuration/state';
import * as LoginState from './login/state';
import * as AuthorizationState from './authorization/state';

export const KEY_FEATURE = 'authentication';

export interface State {
  common: CommonState.State;
  configuration: ConfigurationState.State;
  login: LoginState.State;
  authorization: AuthorizationState.State;
}

export const Selector = createFeatureSelector<State>(KEY_FEATURE);

export const CommonSelector = CommonState.selectors(
  createSelector(Selector, (state: State) => state.common)
);

export const ConfigurationSelector = ConfigurationState.selectors(
  createSelector(Selector, (state: State) => state.configuration)
);

export const LoginSelector = LoginState.selectors(
  createSelector(Selector, (state: State) => state.login)
);

export const AuthorizationSelector = AuthorizationState.selectors(
  createSelector(Selector, (state: State) => state.authorization)
);
