import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { FormBuilder } from '@angular/forms';

import { LogService } from '@ucap/ng-logger';
import { I18nService, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

import { AuthenticationUiModule } from '../authentication-ui.module';

import { ChangePasswordComponent } from './change-password.component';

export const actionsData = {
  changePassword: action('changePassword')
};

export const inputData = {};

export default {
  title: 'ui-authentication::ChangePasswordComponent',
  component: ChangePasswordComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, AuthenticationUiModule],
      providers: [
        { provide: FormBuilder, useClass: FormBuilder },
        { provide: LogService, useValue: new LogService({}) },
        { provide: I18nService, useClass: I18nService },
        {
          provide: UCAP_I18N_NAMESPACE,
          useValue: 'authentication'
        }
      ]
    })
  ]
};

export const Default = () => ({
  component: ChangePasswordComponent,
  props: {
    loginId: 'test01',
    phoneNumber: '01011112222',
    encryptedLoginPw: 'encPw',
    changePassword: actionsData.changePassword
  }
});
