import { Component, OnInit, Input } from '@angular/core';
import { Info, PlanEventJson, PlanContentType } from '@ucap/protocol-event';
import { TranslateService } from '@ucap/ng-ui-organization';

import moment from 'moment';

@Component({
  selector: 'ucap-chat-message-box-schedule',
  templateUrl: './schedule.component.html',
  styleUrls: ['./schedule.component.scss']
})
export class ScheduleComponent implements OnInit {
  @Input()
  message: Info<PlanEventJson>;

  PlanContentType = PlanContentType;
  date: any;
  endDate: any;

  constructor(private translateService: TranslateService) {}

  ngOnInit() {
    if (!!this.message && !!this.message.sentMessageJson) {
      if (!!this.message.sentMessageJson.date) {
        let strDate = this.message.sentMessageJson.date
          .replace(/ /g, '')
          .replace(/\n/g, '')
          .replace(/(\([월,화,수,목,금,토,일]\))/g, '');
        if (strDate.indexOf('오전') > -1) {
          strDate = strDate.replace('오전', ' ');
        } else if (strDate.indexOf('오후') > -1) {
          strDate = strDate.replace('오후', ' ');
          const arr = strDate.split(' ');
          const h = Number(arr[1].split(':')[0]) + 12;
          strDate = arr[0] + ' ' + h + ':' + arr[1].split(':')[1];
        }

        this.date = moment(strDate).toDate();
        if (this.date === 'Invalid Date') {
          this.date = this.message.sentMessageJson.date.replace(/\n/g, '');
        }
      }
    }
  }

  onClickSave(): void {}

  getAlertLeftTime(): string {
    let content = this.message.sentMessageJson.contents;
    if (content.indexOf('PLAN_CONTENTS_MINUTE') > -1) {
      content = content.replace('PLAN_CONTENTS_MINUTE', '분');
    } else if (content.indexOf('PLAN_CONTENTS_HOUR') > -1) {
      content = content.replace('PLAN_CONTENTS_HOUR', '시간');
    }

    if (content.indexOf('PLAN_CONTENTS_AFTER') > -1) {
      content = content.replace('PLAN_CONTENTS_AFTER', ' 전 알림');
    }

    content = '[이벤트] ' + content;

    return content;
  }
}
