import {
  Component,
  OnInit,
  Input,
  ElementRef,
  AfterViewInit,
  EventEmitter,
  Output
} from '@angular/core';
import { Info, StickerEventJson } from '@ucap/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-sticker',
  templateUrl: './sticker.component.html',
  styleUrls: ['./sticker.component.scss']
})
export class StickerComponent implements OnInit, AfterViewInit {
  @Input()
  message: Info<StickerEventJson>;

  // @Input()
  // stickerImageRoot: string;

  // @Input()
  // stickerDefaultImage: string;

  @Output()
  openLink = new EventEmitter<string>();

  // stickerUrl?: string;
  contents: string;
  constructor(private elementRef: ElementRef) {}

  ngOnInit() {
    // if (!!this.message.sentMessageJson.file) {
    //   this.stickerUrl = `assets/sticker/sticker_s_${this.message.sentMessageJson.file}.png`;
    // }
    if (!!this.message.sentMessageJson?.chat) {
      this.contents = this.message.sentMessageJson.chat;
    }
  }

  ngAfterViewInit(): void {
    if (
      !!this.elementRef.nativeElement &&
      !!this.elementRef.nativeElement.querySelector('a')
    ) {
      const elements = this.elementRef.nativeElement.querySelectorAll('a');
      elements.forEach((element) => {
        element.addEventListener('click', this.onClickEvent.bind(this));
      });
    }
  }

  onClickEvent(event: MouseEvent) {
    this.openLink.emit((event.target as HTMLAnchorElement).text);
  }
}
