import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import {
  VideoConferenceEventJson,
  VideoConferenceContentsType,
  Info
} from '@ucap/protocol-event';
import { AuthResponse } from '@ucap/protocol-query';

@Component({
  selector: 'ucap-chat-message-box-video-conference',
  templateUrl: './video-conference.component.html',
  styleUrls: ['./video-conference.component.scss']
})
export class VideoConferenceComponent implements OnInit {
  @Input()
  message: Info<VideoConferenceEventJson>;

  @Input()
  canVideoConference: boolean;

  @Output()
  conferenceDetail = new EventEmitter<VideoConferenceEventJson>();

  @Output()
  conferenceJoin = new EventEmitter<VideoConferenceEventJson>();

  VideoConferenceContentsType = VideoConferenceContentsType;

  constructor() {}

  ngOnInit() {}

  onClickDetailView() {
    this.conferenceDetail.emit(this.message.sentMessageJson);
  }

  onClickEnjoyConference() {
    this.conferenceJoin.emit(this.message.sentMessageJson);
  }
}
