import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { OrganizationUiModule } from '../organization-ui.module';

import { ProfileSelection01Component } from './profile-selection-01.component';

const profileSelectionList = [
  {
    userInfo: {
      name: '사용자1'
    },
    removable: true
  },
  {
    userInfo: {
      name: '사용자2'
    },
    color: 'primary',
    removable: true
  },
  {
    userInfo: {
      name: '사용자3'
    },
    removable: false
  },
  {
    userInfo: {
      name: '사용자4'
    },
    color: 'accent',
    removable: true
  }
];

export default {
  title: 'ui-organization::ProfileSelection01Component',
  component: ProfileSelection01Component,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, OrganizationUiModule],
      providers: []
    })
  ]
};

export const Default = () => ({
  component: ProfileSelection01Component,
  props: {
    profileSelectionList
  }
});
