export class HtmlUtil {
  /**
   * linefeed > <br>
   */
  static linefeedToHtml(str: string): string {
    const s = str
      .replace(/\r\n/g, '<br />')
      .replace(/\r/g, '<br />')
      .replace(/\n/g, '<br />');

    return s;
  }

  /**
   * <br> > linefeed
   */
  static htmlToLinefeed(str: string): string {
    const s = str.replace(/(<|<\/)br([\s.'"=a-zA-Z/]*)>/gi, '\n');
    return s;
  }

  static escapeHtml(dirty: string): string {
    const s = (dirty + '').replace(
      /[&<>"']/g,
      m =>
        ({
          '&': '&amp;',
          '<': '&lt;',
          '>': '&gt;',
          '"': '&quot;',
          // tslint:disable-next-line: quotemark
          "'": '&#39;'
        }[m])
    );
    return s;
  }
}
