import { parsePhoneNumberFromString, CountryCode } from 'libphonenumber-js';

export class PhoneNumberUtil {
  static format(
    value: string,
    country: CountryCode = 'KR',
    mask: boolean = false
  ) {
    const phoneNumber = parsePhoneNumberFromString(value, country);

    let s = value;
    if (!!phoneNumber) {
      if (!!phoneNumber.isValid()) {
        s = phoneNumber.formatNational();
      }
    }

    if (!mask) {
      return s;
    }

    const ary = s.split('-');

    if (!ary || 3 > ary.length) {
      return s;
    }

    const t = ary[ary.length - 2];
    let m = '';
    // tslint:disable-next-line: prefer-for-of
    for (let j = 0; j < t.length; j++) {
      m = m.concat('*');
    }
    ary[ary.length - 2] = m;

    return ary.join('-');
  }
}
